Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi, Could Use Some Help Here. I Have A Pipeline That Worked Just Fine Last Week. Now When Creating A New Run Using The Gui, The Pipeline Task Fails With A Strange Error:

Hi,
Could use some help here. I have a pipeline that worked just fine last week. Now when creating a new run using the GUI, the pipeline task fails with a strange error:

clearml_agent: ERROR: Could not find task id=7777777 (for host: 
:bar)
Exception: create.<locals>.Validator.__init__() got an unexpected keyword argument 'types'

I tried figuring out what changed but everything seems the same (code, workers, server network status). I dug into clearml_agent code and found that the error is invoked by Worker.execute line 2279:

 try:
            current_task = self._session.api_client.tasks.get_by_id(task_id)
            if not current_task.id:
                pass
        except AttributeError:
            raise ValueError(
                "Could not find task id={} (for host: {})".format(
                    task_id, self._session.config.get("api.host", "")
                )
            )
        except Exception as ex:
            raise ValueError(
                "Could not find task id={} (for host: {})\nException: {}".format(
                    task_id, self._session.config.get("api.host", ""), ex
                )
            )

Thing is, I got kinda stuck after that. The error is not informative at all and I found not trace of the so called Validator and the "types" argument. Any idea how to fix this?

  
  
Posted 10 months ago
Votes Newest

Answers 3


UPDATE:
Tried to kill the services mode agent and start a new one instead and I get a similar error:

CLEARML_WORKER_NAME=pls_work clearml-agent daemon -d --services-mode --queue foo_bar

clearml_agent: ERROR: create.<locals>.Validator.__init__() got an unexpected keyword argument 'types'
  
  
Posted 10 months ago

@<1523701235335565312:profile|HugeArcticwolf77> this was a dependency issue that was foxed following a breaking change in one of the imported packages

  
  
Posted 10 months ago

UPDATE #2:
Updating clearml_agent to 1.5.2 solved the issue. Not sure why though...

  
  
Posted 10 months ago
577 Views
3 Answers
10 months ago
10 months ago
Tags